jlec        15/03/20 12:57:09

  Modified:             matplotlib-9999.ebuild matplotlib-1.4.3.ebuild
                        matplotlib-1.4.2.ebuild ChangeLog
  Removed:              matplotlib-1.4.0.ebuild matplotlib-1.3.0-r1.ebuild
                        matplotlib-1.1.1.ebuild
  Log:
  Drop old; add qt5 support, bug #530492; fix slot usages
  
  (Portage version: 2.2.18/cvs/Linux x86_64, signed Manifest commit with key 
B9D4F231BD1558AB!)

Revision  Changes    Path
1.8                  dev-python/matplotlib/matplotlib-9999.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/matplotlib/matplotlib-9999.ebuild?rev=1.8&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/matplotlib/matplotlib-9999.ebuild?rev=1.8&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/matplotlib/matplotlib-9999.ebuild?r1=1.7&r2=1.8

Index: matplotlib-9999.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-python/matplotlib/matplotlib-9999.ebuild,v
retrieving revision 1.7
retrieving revision 1.8
diff -u -r1.7 -r1.8
--- matplotlib-9999.ebuild      24 Feb 2015 16:19:16 -0000      1.7
+++ matplotlib-9999.ebuild      20 Mar 2015 12:57:09 -0000      1.8
@@ -1,6 +1,6 @@
 # Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: 
/var/cvsroot/gentoo-x86/dev-python/matplotlib/matplotlib-9999.ebuild,v 1.7 
2015/02/24 16:19:16 xarthisius Exp $
+# $Header: 
/var/cvsroot/gentoo-x86/dev-python/matplotlib/matplotlib-9999.ebuild,v 1.8 
2015/03/20 12:57:09 jlec Exp $
 
 EAPI=5
 
@@ -8,8 +8,6 @@
 
 PYTHON_REQ_USE='tk?'
 
-VIRTUALX_REQUIRED="always"
-
 inherit distutils-r1 eutils flag-o-matic git-r3 virtualx
 
 DESCRIPTION="Pure python plotting library with matlab like syntax"
@@ -24,20 +22,25 @@
 # Fonts: BitstreamVera, OFL-1.1
 LICENSE="BitstreamVera BSD matplotlib MIT OFL-1.1"
 KEYWORDS=""
-IUSE="cairo doc excel examples fltk gtk gtk3 latex pyside qt4 test tk 
wxwidgets"
+IUSE="cairo doc excel examples fltk gtk gtk3 latex pyside qt4 qt5 test tk 
wxwidgets"
 
 # #456704 -- a lot of py2-only deps
-PY2_USEDEP=$(python_gen_usedep 'python2*')
+PY2_USEDEP=$(python_gen_usedep python2_7)
 COMMON_DEPEND="
-       dev-python/numpy[${PYTHON_USEDEP}]
+       >=dev-python/numpy-1.6[${PYTHON_USEDEP}]
        dev-python/python-dateutil:0[${PYTHON_USEDEP}]
        dev-python/pytz[${PYTHON_USEDEP}]
-       dev-python/six[${PYTHON_USEDEP}]
+       >=dev-python/six-1.4[${PYTHON_USEDEP}]
        media-fonts/stix-fonts
        media-libs/freetype:2
        media-libs/libpng:0
-       gtk? ( dev-python/pygtk[${PY2_USEDEP}] )
-       wxwidgets? ( >=dev-python/wxpython-2.8[${PY2_USEDEP}] )"
+       media-libs/qhull
+       gtk? (
+               dev-libs/glib:2=
+               x11-libs/gdk-pixbuf
+               x11-libs/gtk+:2
+               dev-python/pygtk[${PY2_USEDEP}] )
+       wxwidgets? ( >=dev-python/wxpython-2.8:*[${PY2_USEDEP}] )"
 
 # internal copy of pycxx highly patched
 #      dev-python/pycxx
@@ -48,7 +51,7 @@
                app-text/dvipng
                virtual/python-imaging[${PYTHON_USEDEP}]
                dev-python/ipython[${PYTHON_USEDEP}]
-               dev-python/numpydoc[${PY2_USEDEP}]
+               dev-python/numpydoc[${PYTHON_USEDEP}]
                dev-python/xlwt[${PY2_USEDEP}]
                dev-python/sphinx[${PYTHON_USEDEP}]
                dev-texlive/texlive-latexextra
@@ -56,7 +59,10 @@
                dev-texlive/texlive-latexrecommended
                media-gfx/graphviz[cairo]
        )
-       test? ( dev-python/nose[${PYTHON_USEDEP}] )"
+       test? (
+               dev-python/mock[${PYTHON_USEDEP}]
+               >=dev-python/nose-0.11.1[${PYTHON_USEDEP}]
+               )"
 
 RDEPEND="${COMMON_DEPEND}
        dev-python/pyparsing[${PYTHON_USEDEP}]
@@ -76,9 +82,11 @@
                dev-texlive/texlive-xetex
        )
        pyside? ( dev-python/pyside[X,${PYTHON_USEDEP}] )
-       qt4? ( dev-python/PyQt4[X,${PYTHON_USEDEP}] )"
+       qt4? ( dev-python/PyQt4[X,${PYTHON_USEDEP}] )
+       qt5? ( dev-python/PyQt5[X,${PYTHON_USEDEP}] )
+       "
 
-PY2_FLAGS="|| ( $(python_gen_useflags python2*) )"
+PY2_FLAGS="|| ( $(python_gen_useflags python2_7) )"
 REQUIRED_USE="
        doc? ( ${PY2_FLAGS} )
        excel? ( ${PY2_FLAGS} )
@@ -96,6 +104,10 @@
 # Other than that, the ebuild shall be fit for out-of-source build.
 DISTUTILS_IN_SOURCE_BUILD=1
 
+pkg_setup() {
+       unset DISPLAY # bug #278524
+}
+
 use_setup() {
        local uword="${2:-${1}}"
        if use ${1}; then
@@ -115,6 +127,7 @@
 #      )
 #      rm -r agg24 CXX || die
 #      rm -r agg24 || die
+
        sed \
                -e 's/matplotlib.pyparsing_py[23]/pyparsing/g' \
                -i lib/matplotlib/{mathtext,fontconfig_pattern}.py \
@@ -125,11 +138,14 @@
                -e '/tol/s:32:35:g' \
                -i lib/matplotlib/tests/test_mathtext.py || die
 
-       if use gtk || use gtk3; then
-               export XDG_RUNTIME_DIR="${T}/runtime-dir"
-               mkdir "${XDG_RUNTIME_DIR}" || die
-               chmod 0700 "${XDG_RUNTIME_DIR}" || die
-       fi
+       sed \
+               -e "s:/usr/:${EPREFIX}/usr/:g" \
+               -i setupext.py || die
+
+       export XDG_RUNTIME_DIR="${T}/runtime-dir"
+       mkdir "${XDG_RUNTIME_DIR}" || die
+       chmod 0700 "${XDG_RUNTIME_DIR}" || die
+
        distutils-r1_python_prepare_all
 }
 
@@ -144,9 +160,9 @@
        # create setup.cfg (see setup.cfg.template for any changes).
 
        # common switches.
-       cat > "${BUILD_DIR}"/setup.cfg <<-EOF
+       cat > "${BUILD_DIR}"/setup.cfg <<- EOF
                [directories]
-               basedirlist = ${EPREFIX}/usr
+               basedirlist = "${EPREFIX}/usr"
                [provide_packages]
                pytz = False
                dateutil = False
@@ -155,6 +171,7 @@
                $(use_setup cairo)
                $(use_setup pyside)
                $(use_setup qt4)
+               $(use_setup qt5)
                $(use_setup tk)
        EOF
 
@@ -165,7 +182,7 @@
        fi
 
        if $(python_is_python3); then
-               cat >> "${BUILD_DIR}"/setup.cfg <<-EOF
+               cat >> "${BUILD_DIR}"/setup.cfg <<- EOF
                        six = True
                        fltk = False
                        fltkagg = False
@@ -194,8 +211,7 @@
 }
 
 python_compile() {
-       VIRTUALX_COMMAND="wrap_setup distutils-r1_python_compile"
-       virtualmake
+       wrap_setup distutils-r1_python_compile
 }
 
 python_compile_all() {
@@ -205,7 +221,6 @@
                # necessary for in-source build
                local -x PYTHONPATH="${BUILD_DIR}"/build/lib:${PYTHONPATH}
 
-               unset DISPLAY # bug #278524
                VARTEXFONTS="${T}"/fonts \
                "${PYTHON}" ./make.py --small html || die
        fi



1.2                  dev-python/matplotlib/matplotlib-1.4.3.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/matplotlib/matplotlib-1.4.3.ebuild?rev=1.2&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/matplotlib/matplotlib-1.4.3.ebuild?rev=1.2&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/matplotlib/matplotlib-1.4.3.ebuild?r1=1.1&r2=1.2

Index: matplotlib-1.4.3.ebuild
===================================================================
RCS file: 
/var/cvsroot/gentoo-x86/dev-python/matplotlib/matplotlib-1.4.3.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- matplotlib-1.4.3.ebuild     24 Feb 2015 16:19:16 -0000      1.1
+++ matplotlib-1.4.3.ebuild     20 Mar 2015 12:57:09 -0000      1.2
@@ -1,6 +1,6 @@
 # Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: 
/var/cvsroot/gentoo-x86/dev-python/matplotlib/matplotlib-1.4.3.ebuild,v 1.1 
2015/02/24 16:19:16 xarthisius Exp $
+# $Header: 
/var/cvsroot/gentoo-x86/dev-python/matplotlib/matplotlib-1.4.3.ebuild,v 1.2 
2015/03/20 12:57:09 jlec Exp $
 
 EAPI=5
 
@@ -21,7 +21,7 @@
 # Fonts: BitstreamVera, OFL-1.1
 LICENSE="BitstreamVera BSD matplotlib MIT OFL-1.1"
 KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86 ~x86-freebsd ~amd64-linux ~x86-linux 
~ppc-macos ~x64-macos ~x86-macos"
-IUSE="cairo doc excel examples fltk gtk gtk3 latex pyside qt4 test tk 
wxwidgets"
+IUSE="cairo doc excel examples fltk gtk gtk3 latex pyside qt4 qt5 test tk 
wxwidgets"
 
 # #456704 -- a lot of py2-only deps
 PY2_USEDEP=$(python_gen_usedep python2_7)
@@ -31,15 +31,15 @@
        dev-python/pytz[${PYTHON_USEDEP}]
        >=dev-python/six-1.4[${PYTHON_USEDEP}]
        media-fonts/stix-fonts
-       >=media-libs/freetype-2.3
+       media-libs/freetype:2
        media-libs/libpng:0
        media-libs/qhull
        gtk? (
-               dev-libs/glib
+               dev-libs/glib:2=
                x11-libs/gdk-pixbuf
                x11-libs/gtk+:2
                dev-python/pygtk[${PY2_USEDEP}] )
-       wxwidgets? ( >=dev-python/wxpython-2.8[${PY2_USEDEP}] )"
+       wxwidgets? ( >=dev-python/wxpython-2.8:*[${PY2_USEDEP}] )"
 
 # internal copy of pycxx highly patched
 #      dev-python/pycxx
@@ -86,7 +86,9 @@
                dev-texlive/texlive-xetex
        )
        pyside? ( dev-python/pyside[X,${PYTHON_USEDEP}] )
-       qt4? ( dev-python/PyQt4[X,${PYTHON_USEDEP}] )"
+       qt4? ( dev-python/PyQt4[X,${PYTHON_USEDEP}] )
+       qt5? ( dev-python/PyQt5[gui,widgets,${PYTHON_USEDEP}] )
+       "
 
 PY2_FLAGS="|| ( $(python_gen_useflags python2_7) )"
 REQUIRED_USE="
@@ -96,7 +98,7 @@
        gtk? ( ${PY2_FLAGS} )
        wxwidgets? ( ${PY2_FLAGS} )
        test? (
-               cairo fltk latex pyside qt4 tk wxwidgets
+               cairo fltk latex pyside qt5 qt4 tk wxwidgets
                || ( gtk gtk3 )
                )"
 
@@ -140,6 +142,10 @@
                -e '/tol/s:32:35:g' \
                -i lib/matplotlib/tests/test_mathtext.py || die
 
+       sed \
+               -e "s:/usr/:${EPREFIX}/usr/:g" \
+               -i setupext.py || die
+
        export XDG_RUNTIME_DIR="${T}/runtime-dir"
        mkdir "${XDG_RUNTIME_DIR}" || die
        chmod 0700 "${XDG_RUNTIME_DIR}" || die
@@ -169,6 +175,7 @@
                $(use_setup cairo)
                $(use_setup pyside)
                $(use_setup qt4)
+               $(use_setup qt5)
                $(use_setup tk)
        EOF
 



1.12                 dev-python/matplotlib/matplotlib-1.4.2.ebuild

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/matplotlib/matplotlib-1.4.2.ebuild?rev=1.12&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/matplotlib/matplotlib-1.4.2.ebuild?rev=1.12&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/matplotlib/matplotlib-1.4.2.ebuild?r1=1.11&r2=1.12

Index: matplotlib-1.4.2.ebuild
===================================================================
RCS file: 
/var/cvsroot/gentoo-x86/dev-python/matplotlib/matplotlib-1.4.2.ebuild,v
retrieving revision 1.11
retrieving revision 1.12
diff -u -r1.11 -r1.12
--- matplotlib-1.4.2.ebuild     9 Mar 2015 00:03:04 -0000       1.11
+++ matplotlib-1.4.2.ebuild     20 Mar 2015 12:57:09 -0000      1.12
@@ -1,6 +1,6 @@
 # Copyright 1999-2015 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: 
/var/cvsroot/gentoo-x86/dev-python/matplotlib/matplotlib-1.4.2.ebuild,v 1.11 
2015/03/09 00:03:04 pacho Exp $
+# $Header: 
/var/cvsroot/gentoo-x86/dev-python/matplotlib/matplotlib-1.4.2.ebuild,v 1.12 
2015/03/20 12:57:09 jlec Exp $
 
 EAPI=5
 
@@ -35,11 +35,11 @@
        media-libs/libpng:0
        media-libs/qhull
        gtk? (
-               dev-libs/glib
+               dev-libs/glib:2=
                x11-libs/gdk-pixbuf
-               x11-libs/gtk+:2
+               x11-libs/gtk+:2=
                dev-python/pygtk[${PY2_USEDEP}] )
-       wxwidgets? ( >=dev-python/wxpython-2.8[${PY2_USEDEP}] )"
+       wxwidgets? ( >=dev-python/wxpython-2.8:*[${PY2_USEDEP}] )"
 
 # internal copy of pycxx highly patched
 #      dev-python/pycxx



1.187                dev-python/matplotlib/ChangeLog

file : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/matplotlib/ChangeLog?rev=1.187&view=markup
plain: 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/matplotlib/ChangeLog?rev=1.187&content-type=text/plain
diff : 
http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-python/matplotlib/ChangeLog?r1=1.186&r2=1.187

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-python/matplotlib/ChangeLog,v
retrieving revision 1.186
retrieving revision 1.187
diff -u -r1.186 -r1.187
--- ChangeLog   9 Mar 2015 00:03:04 -0000       1.186
+++ ChangeLog   20 Mar 2015 12:57:09 -0000      1.187
@@ -1,6 +1,11 @@
 # ChangeLog for dev-python/matplotlib
 # Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-python/matplotlib/ChangeLog,v 1.186 
2015/03/09 00:03:04 pacho Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-python/matplotlib/ChangeLog,v 1.187 
2015/03/20 12:57:09 jlec Exp $
+
+  20 Mar 2015; Justin Lecher <[email protected]> -matplotlib-1.1.1.ebuild,
+  -matplotlib-1.3.0-r1.ebuild, -matplotlib-1.4.0.ebuild,
+  matplotlib-1.4.2.ebuild, matplotlib-1.4.3.ebuild, matplotlib-9999.ebuild:
+  Drop old; add qt5 support, bug #530492; fix slot usages
 
   09 Mar 2015; Pacho Ramos <[email protected]> matplotlib-1.4.2.ebuild:
   x86 stable, bug 540290




Reply via email to